<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
    xmlns:layout = "http://www.ultraq.net.nz/thymeleaf/layout"
    layout:decorate="~{admin/dashboardLayout.html}">
  <head>

  </head>
      <body>
        <section class="row" layout:fragment="content">
    <div class="col mt-4">
      <div class="card">
        <div class="card-header">
          <h2>List of Categories</h2>
        </div>
        <div class="card-body">
          <div th:if="${message} != null" class="alert alert-primary" role="alert">
            <i>[[${message}]]</i>
          </div>
          <div class="row mt-2 mb-2">
            <div class="col">
              <form th:action="@{/admin/categories}">
                <div class="form-inline float-left">
                  <label for="name">Name:</label>
                  <input type="text"
                         class="form-control ml-2" name="name" id="name" aria-describedby="nameId" placeholder="Name">
                  <button class="btn btn-outline-primary ml-2">Search</button>

                </div>
              </form>
              <div class="float-right">
                <a class="btn btn-outline-primary"
                   th:href="@{/admin/categories/add}">Add New Category</a>
              </div>
            </div>
          </div>
          <div class="row" th:if="${!categoryPage.hasContent()}">
            <div class="col">
              <div class="alert alert-danger" role="alert">
                <strong>No Categories found</strong>
              </div>
            </div>
          </div>
          <table class="table table-striped table-inverse"
                 th:if="${categoryPage.hasContent()}">
            <thead class="thead-inverse">
            <tr>
              <th>Category ID</th>
              <th>Name</th>
              <th></th>
            </tr>
            </thead>
            <tbody>
            <tr th:each=" category, istart: ${categoryPage.content}">
              <td scope="row">[[${category.categoryId}]]</td>
              <td th:text="${category.name}"></td>
              <td>
                <a th:href="@{'/admin/categories/edit/' + ${category.categoryId}}" class="btn btn-outline-warning">Edit</a>
                <a th:href="@{'/admin/categories/delete/' + ${category.categoryId}}" class="btn btn-outline-danger">Delete</a>
              </td>
            </tr>

            </tbody>
          </table>
        </div>
        <div class="card-footer text-muted">
          <form>
            <div class="form-inline float-left">
              <label for="size">Page size: </label>
              <select class="form-control" name="size" id="size"
                      onchange="this.form.submit()">
                <option th:selected="${categoryPage.size == 5}" value="5">5</option>
                <option th:selected="${categoryPage.size == 10}" value="10">10</option>
                <option th:selected="${categoryPage.size == 15}" value="15">15</option>
              </select>
            </div>
          </form>
          <nav aria-label="Page navigation"
               th:if="${categoryPage.totalPages > 0}">
            <ul class="pagination justify-content-center">
              <li th:class="${1 == categoryPage.number + 1} ? 'page-item active' : 'page-item'">
                <a th:href="@{/admin/categories(name=${name}, size=${categoryPage.size}, page=${1})}"
                   class="page-link">First
                </a>
              </li>
              <li class="page-item active"
                  th:each="pageNumber : ${pageNumbers}"
                  th:if="${categoryPage.totalPages > 1}"
                  th:class="${pageNumber == categoryPage.number + 1} ? 'page-item active': 'page-item'">
                <a th:href="@{/admin/categories(name=${name}, size=${categoryPage.size}, page=${pageNumber})}"
                   class="page-link"
                   th:text="${pageNumber}">
                </a>
              </li>

              <li th:class="${categoryPage.totalPages == categoryPage.number + 1} ? 'page-item-active' : 'page-item'">
                <a th:href="@{/admin/categories(name=${name}, size=${categoryPage.size}, page=${categoryPage.totalPages})}"
                   class="page-link">Last
                </a>
              </li>
            </ul>
          </nav>
        </div>
      </div>

    </div>
  </section>
  </body>
</html>
